## qtcreator 3.0.1

=== share/qtcreator/templates/wizards/plaincppapp/cmake/CMakeLists.txt ===
project(%ProjectName%)
cmake_minimum_required(VERSION 2.8)
aux_source_directory(. SRC_LIST)
add_executable(${PROJECT_NAME} ${SRC_LIST})

## qtcreator 2.0.1

=== debian/changelog ===
qtcreator (2.0.1-1ubuntu3) maverick; urgency=low

  * Don't ignore shared library dependencies of the plugins. QtCreator
    displays a warning on startup when they are missing. (LP: #645740)

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 23 Sep 2010 17:08:16 +0200

qtcreator (2.0.1-1ubuntu2) maverick; urgency=low

  * Make the internal help viewer use QtWebKit so it can properly display
    the Qt documentation. (LP: #626180)
    - build-depend on libqtwebkit-dev
    - add kubuntu_01_define_qt_webkit.diff

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 16 Sep 2010 01:41:10 +0200

qtcreator (2.0.1-1ubuntu1) maverick; urgency=low

  * Fake sync from Debian due to different MD5sums on .orig.tar.gz

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Sep 2010 16:26:43 +0100

qtcreator (2.0.1-1) experimental; urgency=low

  * New upstream release.
  * Update 01_fix_installation_paths.diff patch.
  * Update qtcreator.install file.
  * Update debian/control:
    - bump libqt4-dev build dependency to 4:4.7.0~rc1.
    - bump Standards-Version to 3.9.1 (no changes needed).
  * Enable Qml support with QTCREATOR_WITH_QML environment variable.

 -- Fathi Boudra <fabo@debian.org>  Wed, 25 Aug 2010 14:26:11 +0300

qtcreator (2.0.1-0ubuntu2) maverick; urgency=low

  * Rebuild against Qt 4.7 rc1 (LP: #630687)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 05 Sep 2010 11:16:39 +0200

qtcreator (2.0.1-0ubuntu1) maverick; urgency=low

  * Merge with Debian experimental, no remaining changes.
  * New upstream release.
  * Update debian/qtcreator.install file.
  * Adapt 01_fix_installation_paths.diff to new upstream version.
  * Fix installation error with Qt <= 4.7 Beta 2.
    - Add kubuntu_01_fix_install_qt47beta.diff

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 25 Aug 2010 16:34:37 +0200

qtcreator (2.0.0-1) experimental; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Switch Debian changes to patches. It makes derivatives distributions happy.
  * Update debian/control:
    - drop cdbs build dependency.
    - bump libqt4-dev build dependency to 4:4.7.0~beta2.
    - bump Standards-Version to 3.9.0 (no changes needed).
    - cleanup long description. (Closes: #528567)
  * Update debian/rules: convert to dh usage.
  * Update debian/qtcreator.install file.

 -- Fathi Boudra <fabo@debian.org>  Thu, 08 Jul 2010 17:39:46 +0300

qtcreator (2.0.0-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Synch debian/patches with Debian git
    - Update install files

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 03 Jul 2010 19:30:46 +0200

qtcreator (2.0.0~rc1-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Remove kubuntu_02_qtgui_includes.diff and debian/patches,patch was applied upstream
  * Fix qtcreator.install
  * Fix crash on start (LP: #592786)

 -- Rohan Garg <rohan16garg@gmail.com>  Tue, 15 Jun 2010 19:38:06 +0530

qtcreator (2.0.0~beta1-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Build-dep on Qt 4.7
  * Use source format 3.0
  * Add kubuntu_02_qtgui_includes.diff to compile correctly, from upstream
  * Set INSTALL_ROOT=$(DEB_DESTDIR)/usr rather than complex patch to
    qmake .pro files used by Debian
  * Qt Creator 2.0 depends on private headers used by Qt, include Qt
    headers in debian/includes and point to them in debian/rules
  * Depend on the current specific version of Qt

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 May 2010 11:56:35 +0100

qtcreator (1.3.1-2) unstable; urgency=low

  * Upload to unstable.
  * Bump debhelper build dependency to 7.4.15.
  * Bump Standards-Version to 3.8.4 (no changes needed).
  * Update copyright years.
  * Remove lintian overrides - unused.
  * Cleanup debian/rules: remove lintian warnings fix - fixed upstream.
  * Add debian/watch file.

 -- Fathi Boudra <fabo@debian.org>  Tue, 18 May 2010 16:28:06 +0300

qtcreator (1.3.1-1ubuntu1) lucid; urgency=low

  * Merge with Debian Experimental, remaining changes (LP: #536748):
    - Add qt-creator transitional package
    - debian/control: Conflicts on qt-creator (<< 1.2.1-1ubuntu1)
    - debian/rules: set QMAKE explicitly to qmake-qt4
  * Note that all other changes (most importantly those from 1.3.0-0ubuntu1)
    were completely dropped, since Debian uses a full-source packaging branch
    and thus the diff.gz is 100% legitimate, hence the delta would not ever
    become droppable. Possibly Debian could switch to source format 3 so that
    Ubuntu can sync package with patches while Debian internal development would
    still be based on full-source git.
    DO NOT CONVERT DIRECT DEBIAN CHANGES TO PATCHES!

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 10 Mar 2010 17:48:29 +0100

qtcreator (1.3.1-1) experimental; urgency=low

  * New upstream release
  * Add epoch to build-depends. (closes: #565786)

 -- Adam Majer <adamm@zombino.com>  Tue, 19 Jan 2010 14:31:57 -0600

qtcreator (1.3.0-1) experimental; urgency=low

  * New upstream release
    + added CVS and QML plugins
    + some translations were added for international users
    + plugin API/ABI modified
  * README.source added as an explanation how to merge new upstream
    releases
  * Bump build depends to Qt 4.6
  * Bump Standards-Version to 3.8.3. No changes required.
  * Install the latest upstream changelog only

 -- Adam Majer <adamm@zombino.com>  Sat, 26 Dec 2009 23:17:34 -0600

qtcreator (1.3.0-0ubuntu2) lucid; urgency=low

  * debian/control: Corrected Qt4 epoch.

 -- Maia Kozheva <sikon@ubuntu.com>  Tue, 22 Dec 2009 16:08:31 +0600

qtcreator (1.3.0-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * Added debian/watch.
  * Added quilt patch system. Split build system changes from the diff.gz into
    several patches in debian/patches:
    - buildsystem.patch: Make the upstream build system install files in correct
      locations.
    - debugginghelper.patch: Use /usr/lib/qtcreator/gdbmacros as an additional
      debugging helper location.


=== debian/control ===
Source: qtcreator
Section: devel
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adam Majer <adamm@zombino.com>, Fathi Boudra <fabo@debian.org>, Jeremy Lainé <jeremy.laine@m4x.org>
Build-Depends: debhelper (>= 7.4.15), libqt4-dev (>= 4:4.7.0~rc1), qt4-dev-tools (>= 4:4.7.0~rc1),
 libqtwebkit-dev (>= 2.0~)
Standards-Version: 3.9.1
Homepage: http://www.qtsoftware.com/developer/qt-creator
Vcs-Browser: http://git.debian.org/?p=collab-maint/qt-creator.git
Vcs-Git: git://git.debian.org/collab-maint/qt-creator.git

Package: qtcreator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libqt4-help, libqt4-sql-sqlite
Recommends: qtcreator-doc, qt4-dev-tools, qt4-doc, qt4-demos,
 gdb, make, xterm | x-terminal-emulator
Suggests: cmake, git-core, subversion
Description: lightweight integrated development environment (IDE) for Qt
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 It includes:
  * An advanced C++ code editor
  * Integrated GUI layout and forms designer
  * Project and build management tools
  * Integrated, context-sensitive help system
  * Visual debugger
  * Rapid code navigation tools
  * Supports multiple platforms

Package: qtcreator-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: qt4-dev-tools, qt4-doc
Description: documentation for Qt Creator IDE
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 This package contains the documentation for Qt Creator IDE.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QMAKE=/usr/bin/qmake-qt4
export QTCREATOR_WITH_QML=1

# Upstream changelog
upstream_changes := $(wildcard dist/changes-*)

%:
	dh $@ --parallel --list-missing

override_dh_auto_configure:
	dh_auto_configure
	cd share/qtcreator/gdbmacros; $(QMAKE)

override_dh_auto_build:
	dh_auto_build
	cd share/qtcreator/gdbmacros; $(MAKE)

override_dh_auto_clean:
	dh_auto_clean
	cd share/qtcreator/gdbmacros; if [ -e Makefile ]; then $(MAKE) distclean; fi
	rm -rf doc/html lib share/doc
	rm -f bin/qtcreator.* bin/qtcreator_* share/qtcreator/translations/qtcreator_*.qm
	find . -type d -name '.moc' | xargs rm -rf
	find . -type d -name '.obj' | xargs rm -rf
	find . -type d -name '.rcc' | xargs rm -rf
	find . -type d -name '.uic' | xargs rm -rf

override_dh_installchangelogs:
	dh_installchangelogs $(upstream_changes)

override_dh_makeshlibs:
	dh_makeshlibs -pqtcreator -n

override_dh_shlibdeps:
	dh_shlibdeps -pqtcreator \
	    -l$(DEB_DESTDIR)/usr/lib/qtcreator/

## qtcreator 2.1.0

=== debian/changelog ===
qtcreator (2.1.0-0ubuntu2) natty; urgency=low

  * Install icons to /usr/share/icons/hicolor/*/apps instead of
    /usr/share/pixmaps with different names. (LP: #732988)

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 11 Mar 2011 10:58:01 +0100

qtcreator (2.1.0-0ubuntu1) natty; urgency=low

  * New upstream release. (LP: #725363)

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 01 Mar 2011 12:07:29 +0100

qtcreator (2.1.0~rc1-0ubuntu1) natty; urgency=low

  * New upstream release candidate.
  * Update qtcreator.install file.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 27 Nov 2010 12:31:53 +0100

qtcreator (2.1.0~beta2-0ubuntu1) natty; urgency=low

  * New upstream release.
  * Update qtcreator.install file.
  * Merge from Debian experimental, remaining changes:
    - build-depend on libqtwebkit-dev
    - add kubuntu_01_define_qt_webkit.diff
    - qtcreator suggests kdelibs5-data

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 09 Nov 2010 12:18:18 +0100

qtcreator (2.1.0~beta1-1) experimental; urgency=low

  * New upstream release.
  * Update debian/rules:
    - remove QTCREATOR_WITH_QML export, enabled by default.
    - remove plugins exclusion from dh_shlibdeps. (Closes: #597647)
  * Update qtcreator.install file.
    
 -- Fathi Boudra <fabo@debian.org>  Sat, 09 Oct 2010 19:55:37 +0300

qtcreator (2.1.0~beta1-0ubuntu1) natty; urgency=low

  * New upstream beta.
  * Refresh patches.
  * Update install files.
  * Make qtcreator suggest kdelibs5-data.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 15 Oct 2010 23:20:27 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libqt4-help, libqt4-sql-sqlite
 Recommends: qtcreator-doc, qt4-dev-tools, qt4-doc, qt4-demos,
  gdb, make, xterm | x-terminal-emulator
-Suggests: cmake, git-core, subversion
+Suggests: cmake, git-core, subversion, kdelibs5-data
 Description: lightweight integrated development environment (IDE) for Qt
  Qt Creator is a new, lightweight, cross-platform integrated development
  environment (IDE) designed to make development with the Qt application

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 #export DH_VERBOSE=1
 
 export QMAKE=/usr/bin/qmake-qt4
-export QTCREATOR_WITH_QML=1
 
 # Upstream changelog
 upstream_changes := $(wildcard dist/changes-*)
@@ -19,6 +18,32 @@
 override_dh_auto_build:
 	dh_auto_build
 	cd share/qtcreator/gdbmacros; $(MAKE)
+
+override_dh_auto_install:
+	dh_auto_install
+
+	mkdir -p debian/tmp/usr/share/icons/hicolor/16x16/apps
+	mkdir -p debian/tmp/usr/share/icons/hicolor/24x24/apps
+	mkdir -p debian/tmp/usr/share/icons/hicolor/32x32/apps
+	mkdir -p debian/tmp/usr/share/icons/hicolor/48x48/apps
+	mkdir -p debian/tmp/usr/share/icons/hicolor/64x64/apps
+	mkdir -p debian/tmp/usr/share/icons/hicolor/128x128/apps
+	mkdir -p debian/tmp/usr/share/icons/hicolor/256x256/apps
+
+	mv debian/tmp/usr/share/pixmaps/qtcreator_logo_16.png \
+	    debian/tmp/usr/share/icons/hicolor/16x16/apps/qtcreator.png
+	mv debian/tmp/usr/share/pixmaps/qtcreator_logo_24.png \
+	    debian/tmp/usr/share/icons/hicolor/24x24/apps/qtcreator.png
+	mv debian/tmp/usr/share/pixmaps/qtcreator_logo_32.png \
+	    debian/tmp/usr/share/icons/hicolor/32x32/apps/qtcreator.png
+	mv debian/tmp/usr/share/pixmaps/qtcreator_logo_48.png \
+	    debian/tmp/usr/share/icons/hicolor/48x48/apps/qtcreator.png
+	mv debian/tmp/usr/share/pixmaps/qtcreator_logo_64.png \
+	    debian/tmp/usr/share/icons/hicolor/64x64/apps/qtcreator.png
+	mv debian/tmp/usr/share/pixmaps/qtcreator_logo_128.png \
+	    debian/tmp/usr/share/icons/hicolor/128x128/apps/qtcreator.png
+	mv debian/tmp/usr/share/pixmaps/qtcreator_logo_256.png \
+	    debian/tmp/usr/share/icons/hicolor/256x256/apps/qtcreator.png
 
 override_dh_auto_clean:
 	dh_auto_clean

## qtcreator 2.2.0

=== debian/changelog ===
qtcreator (2.2.0-1) unstable; urgency=low

  * New upstream release (Closes: #627889):
    - fix ftbfs on kfreebsd. (Closes: #600652)
  * Add install_application_icons_according_to_freedesktop_spec.diff patch.
  * Update debian/rules:
    - build depends on libqtwebkit-dev >= 2.1.0~2011week13-2. This version
      contains a fix to define QT_WEBKIT and display correctly documentation
      in Qt Creator Help plugin.
    - bump Standards-Version to 3.9.2 (no changes needed).
  * Update debian/qtcreator.desktop: set InitialPreference=9.

 -- Fathi Boudra <fabo@debian.org>  Fri, 17 Jun 2011 20:47:08 +0300

qtcreator (2.2.0~beta-1) unstable; urgency=low

  * New upstream release.
  * Update 01_fix_installation_paths.diff to apply on 2.2.0~beta and fix
    qtpromaker path.
  * Update debian/qtcreator.install file.

 -- Fathi Boudra <fabo@debian.org>  Thu, 31 Mar 2011 11:39:45 +0300

qtcreator (2.1.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control: add libqtwebkit-dev build dependency.

 -- Fathi Boudra <fabo@debian.org>  Wed, 16 Feb 2011 08:49:10 +0200

qtcreator (2.1.0~rc1-1) experimental; urgency=low

  * New upstream release.
  * Update debian/control:
    - bump libqt4-dev build dependency to 4:4.7.1.
  * Remove QTCREATOR_WITH_QML=1 environment variable - enabled by default.

 -- Fathi Boudra <fabo@debian.org>  Sat, 11 Dec 2010 15:17:02 +0200

=== debian/control ===
Source: qtcreator
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adam Majer <adamm@zombino.com>,
           Fathi Boudra <fabo@debian.org>,
           Jeremy Lainé <jeremy.laine@m4x.org>
Build-Depends: debhelper (>= 7.4.15),
               libqt4-dev (>= 4:4.7.1),
               libqtwebkit-dev (>= 2.1.0~2011week13-2),
               qt4-dev-tools (>= 4:4.7.1)
Standards-Version: 3.9.2
Homepage: http://www.qtsoftware.com/developer/qt-creator
Vcs-Browser: http://git.debian.org/?p=collab-maint/qt-creator.git
Vcs-Git: git://git.debian.org/collab-maint/qt-creator.git

Package: qtcreator
Architecture: any
Depends: libqt4-help, libqt4-sql-sqlite, ${misc:Depends}, ${shlibs:Depends}
Recommends: gdb,
            make,
            qt4-demos,
            qt4-dev-tools,
            qt4-doc,
            qtcreator-doc,
            xterm | x-terminal-emulator
Suggests: cmake, git-core, subversion
Description: lightweight integrated development environment (IDE) for Qt
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 It includes:
  * An advanced C++ code editor
  * Integrated GUI layout and forms designer
  * Project and build management tools
  * Integrated, context-sensitive help system
  * Visual debugger
  * Rapid code navigation tools
  * Supports multiple platforms

Package: qtcreator-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: qt4-dev-tools, qt4-doc
Description: documentation for Qt Creator IDE
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 This package contains the documentation for Qt Creator IDE.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QMAKE=/usr/bin/qmake-qt4

# Upstream changelog
upstream_changes := $(wildcard dist/changes-*)

%:
	dh $@ --parallel --list-missing

override_dh_auto_configure:
	for size in 16 24 32 48 64 128 256 512; do \
		mkdir -p src/plugins/coreplugin/images/logo/$${size}; \
		cp -a src/plugins/coreplugin/images/qtcreator_logo_$${size}.png \
			src/plugins/coreplugin/images/logo/$${size}/qtcreator.png; \
	done
	dh_auto_configure
	cd share/qtcreator/gdbmacros; $(QMAKE)

override_dh_auto_build:
	dh_auto_build
	cd share/qtcreator/gdbmacros; $(MAKE)

override_dh_auto_clean:
	dh_auto_clean
	cd share/qtcreator/gdbmacros; if [ -e Makefile ]; then $(MAKE) distclean; fi
	rm -rf doc/html lib share/doc
	rm -f bin/qtcreator.* bin/qtcreator_* share/qtcreator/translations/qtcreator_*.qm
	find . -type d -name '.moc' | xargs rm -rf
	find . -type d -name '.obj' | xargs rm -rf
	find . -type d -name '.rcc' | xargs rm -rf
	find . -type d -name '.uic' | xargs rm -rf

override_dh_installchangelogs:
	dh_installchangelogs $(upstream_changes)

override_dh_makeshlibs:
	dh_makeshlibs -pqtcreator -n

override_dh_shlibdeps:
	dh_shlibdeps -pqtcreator -l$(DEB_DESTDIR)/usr/lib/qtcreator/

=== debian/watch ===
version=3
http://get.qt.nokia.com/qtcreator/qt-creator-([^-]*)-src.zip

## qtcreator 2.2.1

=== debian/changelog ===
qtcreator (2.2.1-1ubuntu4) oneiric; urgency=low

  * Fix FTBFS with multiarch Qt library path. (LP: #832811)
    - Pass IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH) to configure.
    - Replace DEB_HOST_MULTIARCH variable in install files.
  * Fix FTBFS on armel: don't try to install the qmldesigner plugin.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 26 Aug 2011 15:41:22 +0200

qtcreator (2.2.1-1ubuntu3) oneiric; urgency=low

  * Add qt4-qmlviewer to Recommends. (LP: #776138)
  * On armel, add QMLDESIGNER_DISABLE to CONFIG instead of replacing it.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 01 Aug 2011 23:52:10 +0200

qtcreator (2.2.1-1ubuntu2) oneiric; urgency=low

  * Install qmldesigner plugins (/usr/lib/qmldesigner/*.so). (LP: #819270)

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 01 Aug 2011 19:51:30 +0200

qtcreator (2.2.1-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable
  * 05_dont_build_qmldesigner_on_armel.diff, debian/rules,
    debian/qtcreator.install.armel:
    - try to not build qmldesigner on armel: many qreal/float typing issue and
      qmldesigner isn't suited for armel anyway
  * debian/qtcreator.install, debian/qtcreator.install.linux:
    - install qmlpuppet to get qmldesigner working (LP: #752713)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 22 Jul 2011 11:03:38 +0200

qtcreator (2.2.1-1) unstable; urgency=low

  * New upstream release.
  * Add Qt Creator debug package.

 -- Fathi Boudra <fabo@debian.org>  Thu, 23 Jun 2011 12:26:27 +0300

qtcreator (2.2.0-2) unstable; urgency=low

  * Add QML Designer plugin:
    - build depends on libqt4-private-dev.
    - update debian/qtcreator.install file.
  * Add kdelibs5-data to Suggests. Qt Creator can use kate syntax highlighting
    definitions.
  * Add debian/qtcreator.install.linux: ptracepreload plugin is available on
    linux only.

 -- Fathi Boudra <fabo@debian.org>  Wed, 22 Jun 2011 09:19:32 +0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: qtcreator
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Adam Majer <adamm@zombino.com>,
            Fathi Boudra <fabo@debian.org>,
            Jeremy Lainé <jeremy.laine@m4x.org>
-Build-Depends: debhelper (>= 7.4.15),
+Build-Depends: debhelper (>= 8.1.3~),
                libqt4-dev (>= 4:4.7.1),
+               libqt4-private-dev (>= 4:4.7.3-3),
                libqtwebkit-dev (>= 2.1.0~2011week13-2),
                qt4-dev-tools (>= 4:4.7.1)
 Standards-Version: 3.9.2
@@ -22,9 +24,10 @@
             qt4-demos,
             qt4-dev-tools,
             qt4-doc,
+            qt4-qmlviewer,
             qtcreator-doc,
             xterm | x-terminal-emulator
-Suggests: cmake, git-core, subversion
+Suggests: cmake, git-core, kdelibs5-data, subversion
 Description: lightweight integrated development environment (IDE) for Qt
  Qt Creator is a new, lightweight, cross-platform integrated development
  environment (IDE) designed to make development with the Qt application
@@ -39,6 +42,18 @@
   * Rapid code navigation tools
   * Supports multiple platforms
 
+Package: qtcreator-dbg
+Priority: extra
+Architecture: any
+Section: debug
+Depends: qtcreator (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: debugging symbols for Qt Creator IDE
+ Qt Creator is a new, lightweight, cross-platform integrated development
+ environment (IDE) designed to make development with the Qt application
+ framework even faster and easier.
+ .
+ This package contains the debugging symbols for Qt Creator IDE.
+
 Package: qtcreator-doc
 Architecture: all
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -2,14 +2,22 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 export QMAKE=/usr/bin/qmake-qt4
 
 # Upstream changelog
 upstream_changes := $(wildcard dist/changes-*)
 
+extra_configure_opts = IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH)
+
+ifeq ($(DEB_HOST_ARCH),armel)
+	extra_configure_opts += CONFIG+=QMLDESIGNER_DISABLE
+endif
+
 %:
-	dh $@ --parallel --list-missing
+	dh $@ --parallel --dbg-package=qtcreator-dbg
 
 override_dh_auto_configure:
 	for size in 16 24 32 48 64 128 256 512; do \
@@ -17,7 +25,7 @@
 		cp -a src/plugins/coreplugin/images/qtcreator_logo_$${size}.png \
 			src/plugins/coreplugin/images/logo/$${size}/qtcreator.png; \
 	done
-	dh_auto_configure
+	dh_auto_configure -- $(extra_configure_opts)
 	cd share/qtcreator/gdbmacros; $(QMAKE)
 
 override_dh_auto_build:
@@ -29,10 +37,17 @@
 	cd share/qtcreator/gdbmacros; if [ -e Makefile ]; then $(MAKE) distclean; fi
 	rm -rf doc/html lib share/doc
 	rm -f bin/qtcreator.* bin/qtcreator_* share/qtcreator/translations/qtcreator_*.qm
+	rm -f debian/qtcreator.install debian/qtcreator.install.armel debian/qtcreator.install.linux
 	find . -type d -name '.moc' | xargs rm -rf
 	find . -type d -name '.obj' | xargs rm -rf
 	find . -type d -name '.rcc' | xargs rm -rf
 	find . -type d -name '.uic' | xargs rm -rf
+
+override_dh_install:
+	sed "s/\$${DEB_HOST_MULTIARCH}/$(DEB_HOST_MULTIARCH)/g" debian/qtcreator.install.in > debian/qtcreator.install
+	sed "s/\$${DEB_HOST_MULTIARCH}/$(DEB_HOST_MULTIARCH)/g" debian/qtcreator.install.armel.in > debian/qtcreator.install.armel
+	sed "s/\$${DEB_HOST_MULTIARCH}/$(DEB_HOST_MULTIARCH)/g" debian/qtcreator.install.linux.in > debian/qtcreator.install.linux
+	dh_install --list-missing
 
 override_dh_installchangelogs:
 	dh_installchangelogs $(upstream_changes)

## qtcreator 2.4.0

=== debian/changelog ===
qtcreator (2.4.0-1) experimental; urgency=low

  * New upstream release (Closes: #653634):
    - FTBFS: error: no matching function for call to 'qMin(double&, qreal)'.
      (Closes: #638813)
  * Drop patches:
    - install_application_icons_according_to_freedesktop_spec.diff
      merged upstream.
    - 01_fix_installation_paths.diff
      use INSTALL_ROOT=$(CURDIR)/debian/tmp/usr to avoid to refresh this patch
      continously.
    - 04_append_Debian_search_path_for_pre-built_gdbmacros.diff
      we don't ship pre-built gdbmacros anymore.
  * Update debian/compat: bump to 9 for multiarch support.
  * Update debian/control:
    - bump build dependencies to Qt >= 4.8.0, version with multiarch support.
    - fix Homepage. (Closes: 627890)
    - add qt4-qmlviewer to Recommends.
    - add g++ to Suggests. (Closes: #649212)
    - suggests git instead of git-core (transitional package).
  * Update debian/rules:
    - remove QMAKE export using qmake_qt4 buildsystem (requires
      debhelper >= 8.9.1)
    - remove pre-built gdbmacros to simplify multiarch support.
    - install the documentation, not handled by make install.
    - do not remove bin/qtcreator.sh in override_dh_auto_clean target.
    - drop override_dh_{makeshlibs,shlibdeps}, Qt Creator provides private
      libraries only.
  * Add missing binaries: usr/lib/qmldesigner/*.so and usr/bin/qmlpuppet.*
    (Closes: #618339, #633915)
  * Enable multiarch support and update debian/*.install files accordingly.
  * Fix debian/watch file: download the tarball instead of zip archive.

 -- Fathi Boudra <fabo@debian.org>  Thu, 29 Dec 2011 22:11:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: qtcreator
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Adam Majer <adamm@zombino.com>,
            Fathi Boudra <fabo@debian.org>,
            Jeremy Lainé <jeremy.laine@m4x.org>
-Build-Depends: debhelper (>= 8.1.3~),
-               libqt4-dev (>= 4:4.7.1),
-               libqt4-private-dev (>= 4:4.7.3-3),
+Build-Depends: debhelper (>= 8.9.1),
+               libqt4-dev (>= 4:4.7.4),
+               libqt4-private-dev (>= 4:4.7.4),
                libqtwebkit-dev (>= 2.1.0~2011week13-2),
-               qt4-dev-tools (>= 4:4.7.1)
+               qt4-dev-tools (>= 4:4.7.4)
 Standards-Version: 3.9.2
-Homepage: http://www.qtsoftware.com/developer/qt-creator
+Homepage: http://qt.nokia.com/products/developer-tools/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/qt-creator.git
 Vcs-Git: git://git.debian.org/collab-maint/qt-creator.git
 
@@ -27,7 +26,7 @@
             qt4-qmlviewer,
             qtcreator-doc,
             xterm | x-terminal-emulator
-Suggests: cmake, git-core, kdelibs5-data, subversion
+Suggests: cmake, g++, git, kdelibs5-data, subversion
 Description: lightweight integrated development environment (IDE) for Qt
  Qt Creator is a new, lightweight, cross-platform integrated development
  environment (IDE) designed to make development with the Qt application

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Upstream changelog
upstream_changes := $(wildcard dist/changes-*)

%:
	dh $@ --parallel --list-missing --dbg-package=qtcreator-dbg --buildsystem=qmake_qt4

override_dh_auto_configure:
	dh_auto_configure -- IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH) $(extra_configure_opts)

override_dh_auto_install:
	dh_auto_install -Smakefile -- INSTALL_ROOT=$(CURDIR)/debian/tmp/usr
	$(MAKE) docs
	install -D -p -m0644 share/doc/qtcreator/qtcreator.qch \
		debian/tmp/usr/share/qtcreator/doc/qtcreator.qch

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/html lib/qmldesigner lib/qtcreator/plugins share/doc
	rm -f bin/qtcreator_* lib/qtcreator/lib* lib/qtcreator/qtcomponents/plugin/lib* share/qtcreator/translations/qtcreator_*.qm
	find . -type d -name '.moc' | xargs rm -rf
	find . -type d -name '.obj' | xargs rm -rf
	find . -type d -name '.rcc' | xargs rm -rf
	find . -type d -name '.uic' | xargs rm -rf

override_dh_installchangelogs:
	dh_installchangelogs $(upstream_changes)

## qtcreator 2.4.1

=== debian/changelog ===
qtcreator (2.4.1-0ubuntu2) precise; urgency=low

  [ Aurélien Gâteau ]
  * 06_bzr_log_no_false_positive.diff:
    Correctly detect revno in "short" and "line" log formats

  [ Felix Geyer ]
  * Install /usr/bin/qmlprofiler.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 21 Mar 2012 18:31:57 +0100

qtcreator (2.4.1-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Add patches by Aurélien Gâteau to improve bzr integration.
  * Build qtcreator out-of-source.
  * Drop 01_fix_installation_paths.diff, not needed anymore.

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 02 Feb 2012 12:08:40 +0100

qtcreator (2.4.0-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Fix watch file to download .tar.gz instead of .zip files.
  * Refresh 01_fix_installation_paths.diff.

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 15 Dec 2011 16:04:20 +0100

qtcreator (2.4.0~rc-0ubuntu1) precise; urgency=low

  * New upstream release candidate.
  * Drop 04_fix_ftbfs_arm_qreal.diff, merged upstream.
  * Refresh 01_fix_installation_paths.diff.
  * Compress binary packages with xz.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 18 Nov 2011 16:18:49 +0100

qtcreator (2.4.0~beta-0ubuntu3) precise; urgency=low

  * Fix FTBFS on armel.
    - Add 04_fix_ftbfs_arm_qreal.diff
  * Compile docs only when the qtcreator-doc package is actually built.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 09 Nov 2011 08:45:01 +0100

qtcreator (2.4.0~beta-0ubuntu2) precise; urgency=low

  * Change the Suggests: git-core to a suggests on git. The git-core package
    is a transitional package to the git package now.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 04 Nov 2011 22:09:57 -0400

qtcreator (2.4.0~beta-0ubuntu1) precise; urgency=low

  * New upstream beta release.
  * Refresh patches.
  * Drop install_application_icons_according_to_freedesktop_spec.diff,
    fixed upstream.
  * qtcreator recommends g++. (LP: #881062)
  * Simplify install files.
  * Don't build the "dumper" library since it's only needed on Mac OS.
    - Drop 04_append_Debian_search_path_for_pre-built_gdbmacros.diff
  * Don't disable qmldesigner on armel anymore as it hopefully builds
    fine now.
  * Remove qtcreator.postinst since it's a noop.
  * Export build flags in debian/rules.
  * Fix Homepage field.
  * Don't call dh_makeshlibs as qtcreator doesn't provide any public
    shared libraries.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 04 Nov 2011 16:11:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,35 @@
 Source: qtcreator
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Adam Majer <adamm@zombino.com>,
            Fathi Boudra <fabo@debian.org>,
            Jeremy Lainé <jeremy.laine@m4x.org>
-Build-Depends: debhelper (>= 8.9.1),
-               libqt4-dev (>= 4:4.7.4),
-               libqt4-private-dev (>= 4:4.7.4),
+Build-Depends: debhelper (>= 8.1.3~),
+               libqt4-dev (>= 4:4.7.1),
+               libqt4-private-dev (>= 4:4.7.3-3),
                libqtwebkit-dev (>= 2.1.0~2011week13-2),
-               qt4-dev-tools (>= 4:4.7.4)
+               qt4-dev-tools (>= 4:4.7.1)
 Standards-Version: 3.9.2
-Homepage: http://qt.nokia.com/products/developer-tools/
+Homepage: https://qt.nokia.com/products/developer-tools
 Vcs-Browser: http://git.debian.org/?p=collab-maint/qt-creator.git
 Vcs-Git: git://git.debian.org/collab-maint/qt-creator.git
 
 Package: qtcreator
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6)
 Depends: libqt4-help, libqt4-sql-sqlite, ${misc:Depends}, ${shlibs:Depends}
 Recommends: gdb,
             make,
+            g++,
             qt4-demos,
             qt4-dev-tools,
             qt4-doc,
             qt4-qmlviewer,
             qtcreator-doc,
             xterm | x-terminal-emulator
-Suggests: cmake, g++, git, kdelibs5-data, subversion
+Suggests: cmake, git, kdelibs5-data, subversion
 Description: lightweight integrated development environment (IDE) for Qt
  Qt Creator is a new, lightweight, cross-platform integrated development
  environment (IDE) designed to make development with the Qt application
@@ -45,6 +48,7 @@
 Priority: extra
 Architecture: any
 Section: debug
+Pre-Depends: dpkg (>= 1.15.6)
 Depends: qtcreator (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: debugging symbols for Qt Creator IDE
  Qt Creator is a new, lightweight, cross-platform integrated development
@@ -56,6 +60,7 @@
 Package: qtcreator-doc
 Architecture: all
 Section: doc
+Pre-Depends: dpkg (>= 1.15.6)
 Depends: ${misc:Depends}
 Suggests: qt4-dev-tools, qt4-doc
 Description: documentation for Qt Creator IDE

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Upstream changelog
upstream_changes := $(wildcard dist/changes-*)


%:
	dh $@ --parallel --dbg-package=qtcreator-dbg --builddirectory=builddir

override_dh_auto_configure:
	mkdir -p builddir
	dh_auto_configure -- $(CURDIR) IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_install:
	# build docs in dh_auto_install so that they are only built when
	# arch-all packages are generated
ifneq (,$(filter qtcreator-doc, $(shell dh_listpackages)))
	# Build documentations
	dh_auto_build -- qch_docs
endif
	dh_auto_install --destdir=debian/tmp/usr
	make -C builddir install_docs INSTALL_ROOT=$(CURDIR)/debian/tmp/usr

override_dh_install:
	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs $(upstream_changes)

override_dh_makeshlibs:
	# qtcreator doesn't provide any public libraries

override_dh_builddeb:
	dh_builddeb -- -Zxz

## qtcreator 2.5.0

=== debian/changelog ===
qtcreator (2.5.0-2) unstable; urgency=medium

  * Team upload.
  * Build tm_posix.cpp on kFreeBSD and Hurd to fix a crash because of an
    undefined symbol. (Closes: #683933)
    - Add posix_rt_nonlinux.diff

 -- Felix Geyer <fgeyer@debian.org>  Tue, 07 Aug 2012 11:33:13 +0200

qtcreator (2.5.0-1) unstable; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Fix the installation of the upstream changelogs: use dh_installdocs
    for them, and install them only in qtcreator.
  * Build the documentation only when qtcreator-doc is being built too.
  * Remove unuseful ${shlibs:Depends} from qtcreator-dbg.
  * Enable RPATH also on kFreeBSD and Hurd; patch rpath_nonlinux.diff.
    (Closes: #672527)

 -- Fathi Boudra <fabo@debian.org>  Thu, 10 May 2012 21:57:24 +0300

qtcreator (2.5.0~rc-1) unstable; urgency=low

  * New upstream release.
  * Add patches, cheery-picked upstream:
    - Use_bzr_branch_instead_of_bzr_clone.patch
    - Fix_revno_detection_in_bzr_log.patch
  * Update debian/control:
    - bump debhelper build dependency to 9.
    - bump build dependencies to Qt >= 4.8.1.
    - bump Standards-Version to 3.9.3 (no changes needed).
  * Update installed files and adjust paths for multiarch.

 -- Fathi Boudra <fabo@debian.org>  Wed, 02 May 2012 09:47:02 +0300

=== debian/control ===
Source: qtcreator
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adam Majer <adamm@zombino.com>,
           Fathi Boudra <fabo@debian.org>,
           Jeremy Lainé <jeremy.laine@m4x.org>
Build-Depends: debhelper (>= 9),
               libicu-dev,
               libqt4-dev (>= 4:4.8.1),
               libqt4-private-dev (>= 4:4.8.1),
               libqtwebkit-dev (>= 2.1.0~2011week13-2),
               qt4-dev-tools (>= 4:4.8.1)
Standards-Version: 3.9.3
Homepage: http://qt.nokia.com/products/developer-tools/
Vcs-Browser: http://git.debian.org/?p=collab-maint/qt-creator.git
Vcs-Git: git://git.debian.org/collab-maint/qt-creator.git

Package: qtcreator
Architecture: any
Depends: libqt4-help, libqt4-sql-sqlite, ${misc:Depends}, ${shlibs:Depends}
Recommends: gdb,
            make,
            qt4-demos,
            qt4-dev-tools,
            qt4-doc,
            qt4-qmlviewer,
            qtcreator-doc,
            xterm | x-terminal-emulator
Suggests: cmake, g++, git, kdelibs5-data, subversion
Description: lightweight integrated development environment (IDE) for Qt
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 It includes:
  * An advanced C++ code editor
  * Integrated GUI layout and forms designer
  * Project and build management tools
  * Integrated, context-sensitive help system
  * Visual debugger
  * Rapid code navigation tools
  * Supports multiple platforms

Package: qtcreator-dbg
Priority: extra
Architecture: any
Section: debug
Depends: qtcreator (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for Qt Creator IDE
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 This package contains the debugging symbols for Qt Creator IDE.

Package: qtcreator-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: qt4-dev-tools, qt4-doc
Description: documentation for Qt Creator IDE
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 This package contains the documentation for Qt Creator IDE.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Upstream changelog
upstream_changes := $(wildcard dist/changes-*)

%:
	dh $@ --parallel --list-missing --dbg-package=qtcreator-dbg --buildsystem=qmake_qt4

override_dh_auto_configure:
	dh_auto_configure -- IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH) $(extra_configure_opts)

override_dh_auto_install:
	dh_auto_install -Smakefile -- INSTALL_ROOT=$(CURDIR)/debian/tmp/usr
ifneq (,$(filter qtcreator-doc, $(shell dh_listpackages)))
	$(MAKE) docs
	install -D -p -m0644 share/doc/qtcreator/qtcreator.qch \
		debian/tmp/usr/share/qtcreator/doc/qtcreator.qch
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/html lib/qmldesigner lib/qtcreator/plugins share/doc
	rm -f bin/qtcreator_* lib/qtcreator/lib* lib/qtcreator/qtcomponents/plugin/lib* share/qtcreator/translations/qtcreator_*.qm
	find . -type d -name '.moc' | xargs rm -rf
	find . -type d -name '.obj' | xargs rm -rf
	find . -type d -name '.rcc' | xargs rm -rf
	find . -type d -name '.uic' | xargs rm -rf

override_dh_installdocs:
	dh_installdocs -pqtcreator $(upstream_changes)
	dh_installdocs --remaining-packages

=== debian/watch ===
version=3
http://get.qt.nokia.com/qtcreator/qt-creator-([^-]*)-src\.tar\.gz

## qtcreator 2.5.2

=== debian/changelog ===
qtcreator (2.5.2-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * Re-apply Ubuntu delta that has been inadvertently dropped in the
    last upload:
    - Build qtcreator out-of-source.
    - Don't call dh_makeshlibs as qtcreator doesn't provide any public
      shared libraries.
    - Compress binary packages with xz.

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 17 Aug 2012 20:09:31 +0200

qtcreator (2.5.0-1ubuntu1) quantal; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Recommend, not Suggest g++.
    - Keep 04_vcs_log_fix_cursor.diff

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 08 Jun 2012 12:44:29 -0400

qtcreator (2.5.0-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * Switch to debhelper compat level v9.
  * Refresh bzr patches.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 09 May 2012 18:31:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qtcreator
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Adam Majer <adamm@zombino.com>,
            Fathi Boudra <fabo@debian.org>,
            Jeremy Lainé <jeremy.laine@m4x.org>
@@ -18,16 +19,18 @@
 
 Package: qtcreator
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6)
 Depends: libqt4-help, libqt4-sql-sqlite, ${misc:Depends}, ${shlibs:Depends}
 Recommends: gdb,
             make,
+            g++,
             qt4-demos,
             qt4-dev-tools,
             qt4-doc,
             qt4-qmlviewer,
             qtcreator-doc,
             xterm | x-terminal-emulator
-Suggests: cmake, g++, git, kdelibs5-data, subversion
+Suggests: cmake, git, kdelibs5-data, subversion
 Description: lightweight integrated development environment (IDE) for Qt
  Qt Creator is a new, lightweight, cross-platform integrated development
  environment (IDE) designed to make development with the Qt application
@@ -46,6 +49,7 @@
 Priority: extra
 Architecture: any
 Section: debug
+Pre-Depends: dpkg (>= 1.15.6)
 Depends: qtcreator (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for Qt Creator IDE
  Qt Creator is a new, lightweight, cross-platform integrated development
@@ -57,6 +61,7 @@
 Package: qtcreator-doc
 Architecture: all
 Section: doc
+Pre-Depends: dpkg (>= 1.15.6)
 Depends: ${misc:Depends}
 Suggests: qt4-dev-tools, qt4-doc
 Description: documentation for Qt Creator IDE

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Upstream changelog
upstream_changes := $(wildcard dist/changes-*)

%:
	dh $@ --parallel --list-missing --dbg-package=qtcreator-dbg --buildsystem=qmake_qt4 --builddirectory=builddir

override_dh_auto_configure:
	mkdir -p builddir
	dh_auto_configure -- $(CURDIR) IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH) $(extra_configure_opts)

override_dh_auto_install:
ifneq (,$(filter qtcreator-doc, $(shell dh_listpackages)))
	dh_auto_build -- qch_docs
endif
	dh_auto_install --destdir=debian/tmp/usr
	dh_auto_build -- install_docs INSTALL_ROOT=$(CURDIR)/debian/tmp/usr

override_dh_installdocs:
	dh_installdocs -pqtcreator $(upstream_changes)
	dh_installdocs --remaining-packages

override_dh_makeshlibs:
	# qtcreator doesn't provide any public libraries

override_dh_builddeb:
	dh_builddeb -- -Zxz

## qtcreator 2.6.0

=== debian/changelog ===
qtcreator (2.6.0-0ubuntu2) raring; urgency=low

  * Link Qt Creator against the system botan library instead of using
    the bundled one.
    - Add botan_system_lib.diff and revert_6f7ce3f4.diff, slightly adapted
      from openSUSE.
    - Build-depend on libbotan1.10-dev and pkg-config.
    - Fixes FTBFS on non-X86 architectures.
  * Enable IDE_PACKAGE_MODE so the HelloWorld and UpdateInfo plugins are
    not built.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 12 Nov 2012 11:33:55 +0100

qtcreator (2.6.0-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Fix the watch file.
  * Update Homepage.
  * Update install files.
  * Refresh patches.
  * Drop 04_vcs_log_fix_cursor.diff, Use_bzr_branch_instead_of_bzr_clone.patch
    and Fix_revno_detection_in_bzr_log.patch: merged upstream.
  * Build-depend on libx11-dev.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 11 Nov 2012 16:06:21 +0100

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,12 @@
                libqt4-dev (>= 4:4.8.1),
                libqt4-private-dev (>= 4:4.8.1),
                libqtwebkit-dev (>= 2.1.0~2011week13-2),
-               qt4-dev-tools (>= 4:4.8.1)
+               qt4-dev-tools (>= 4:4.8.1),
+               libx11-dev,
+               pkg-config,
+               libbotan1.10-dev
 Standards-Version: 3.9.3
-Homepage: http://qt.nokia.com/products/developer-tools/
+Homepage: http://qt-project.org/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/qt-creator.git
 Vcs-Git: git://git.debian.org/collab-maint/qt-creator.git

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 override_dh_auto_configure:
 	mkdir -p builddir
-	dh_auto_configure -- $(CURDIR) IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH) $(extra_configure_opts)
+	dh_auto_configure -- $(CURDIR) IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH) IDE_PACKAGE_MODE=1 $(extra_configure_opts)
 
 override_dh_auto_install:
 ifneq (,$(filter qtcreator-doc, $(shell dh_listpackages)))
@@ -21,6 +21,11 @@
 endif
 	dh_auto_install --destdir=debian/tmp/usr
 	dh_auto_build -- install_docs INSTALL_ROOT=$(CURDIR)/debian/tmp/usr
+
+override_dh_auto_clean:
+	dh_auto_clean
+	# make sure the bundles botan lib isn't used during the build
+	rm -f src/libs/3rdparty/botan/botan.cpp src/libs/3rdparty/botan/botan.h
 
 override_dh_installdocs:
 	dh_installdocs -pqtcreator $(upstream_changes)

=== debian/watch ===
version=3
http://releases.qt-project.org/qtcreator/2.6.0/qt-creator-([^-]*)-src\.tar\.gz

## qtcreator 2.7.0~beta

=== debian/changelog ===
qtcreator (2.7.0~beta-0ubuntu1) raring; urgency=low

  * New upstream beta release
  * Update *.install
  * debian/control:
    - Build against Qt5
    - Update home page
  * Require Qt 5.0.1 for functional Quick 2 support
  * Add lintian-overrides
  * Refresh patch:
    - botan_system_lib.diff
  * Drop upstreamed patch:
    - revert_6f7ce3f4.diff

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 14 Feb 2013 09:22:00 +0000

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,34 @@
            Jeremy Lainé <jeremy.laine@m4x.org>
 Build-Depends: debhelper (>= 9),
                libicu-dev,
-               libqt4-dev (>= 4:4.8.1),
-               libqt4-private-dev (>= 4:4.8.1),
-               libqtwebkit-dev (>= 2.1.0~2011week13-2),
-               qt4-dev-tools (>= 4:4.8.1),
                libx11-dev,
                pkg-config,
-               libbotan1.10-dev
+               libbotan1.10-dev,
+               libqt5sql5-sqlite (>= 5.0.1~),
+               libqt5designercomponents5 (>= 5.0.1~),
+               libqt5designer5 (>= 5.0.1~),
+               libqt5clucene5 (>= 5.0.1~),
+               qttools5-private-dev (>= 5.0.1~),
+               libqt5v8-5-private-dev (>= 5.0.1~),
+               libqt5help5 (>= 5.0.1~),
+               qttools5-dev (>= 5.0.1~),
+               qttools5-dev-tools (>= 5.0.1~),
+               qt5-qmake (>= 5.0.1~),
+               qtbase5-private-dev (>= 5.0.1~),
+               libqt5script5 (>= 5.0.1~),
+               libqt5scripttools5 (>= 5.0.1~),
+               qt5-default,
+               qtscript5-private-dev (>= 5.0.1~),
+               qtxmlpatterns5-dev-tools (>= 5.0.1~),
+               libqt5widgets5 (>= 5.0.1~),
+               qttools5-dev-tools (>= 5.0.1~),
+               qtdeclarative5-private-dev (>= 5.0.1~),
+               qtdeclarative5-dev-tools (>= 5.0.1~),
+               qtquick1-5-dev (>= 5.0.1~),
+               qtquick1-5-dev-tools (>= 5.0.1~),
+               libqt5help5 (>= 5.0.1~),
+               qtlocation5-dev,
+               qtsensors5-dev,
 Standards-Version: 3.9.3
 Homepage: http://qt-project.org/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/qt-creator.git

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 upstream_changes := $(wildcard dist/changes-*)
 
 %:
-	dh $@ --parallel --list-missing --dbg-package=qtcreator-dbg --buildsystem=qmake_qt4 --builddirectory=builddir
+	dh $@ --parallel --list-missing --dbg-package=qtcreator-dbg --buildsystem=qmake --builddirectory=builddir
 
 override_dh_auto_configure:
 	mkdir -p builddir
